import request from '@/utils/request'

// 查询企业信息列表
export function listInformation(query) {
    return request({
        url: '/crmEnterpriseInformation/findByPage',
        method: 'get',
        params: query
    })
}

// 查询企业信息详细
export function getInformation(id) {
    return request({
        url: '/crmEnterpriseInformation/' + id,
        method: 'get'
    })
}

// 新增企业信息
export function addInformation(data) {
    return request({
        url: '/crmEnterpriseInformation',
        method: 'post',
        data: data
    })
}

// 修改企业信息
export function updateInformation(data) {
    return request({
        url: '/crmEnterpriseInformation',
        method: 'put',
        data: data
    })
}

// 删除企业信息
export function delInformation(id) {
    return request({
        url: '/crmEnterpriseInformation/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delInformationBatch(ids) {
    console.log(ids);
    return request.post('/crmEnterpriseInformation/delete',ids)
}